/* backup.js - API library for BACKUP configuration */

/* Copyright 2010 TeamF1, Inc. */

/*
modification history 
------------------------
01a,12OCT10,mvb  written. 
*/

/* settings_backup.htm */

var ie = (navigator.appName.indexOf ('Microsoft') != -1);
var ns = (navigator.appName.indexOf ('Netscape') != -1);
var nCells = 0;
var cellIdx = 0;
var tblObj = null;
var tdObjs = null;
var probableImageUploadTime = 1;    /* minutes */
var delay = 0;
var upgradeStarted = false;
var progressBgColor = "#40087F";
var timerId = null;

/********************************************************************
* percentValuesShow : it shows the progress bar 
*
* This function shows progress bar fill
*
* RETURNS: N/A
*/

function percentValuesShow ()
    {
    tblProgress.className = "tblAnim";
    tblObj = document.getElementById ('tblProgress');
    tblObj.border = "1";
    if (ie)
        {
        nCells = (tblObj.cells).length;
        tblObj.cells[0].innerHTML = "1%";
        }
    else if (ns)
        {
        tdObjs = document.getElementsByName ('tblTdProgress');
        nCells = tdObjs.length;
        tdObjs[0].innerHTML = "1%";
        }
    var prcVal = 0;
    for (var i = 0; i < nCells; ++i)
        {
        if ((i+1)%5 == 0)
            {
            prcVal += 10;
            if (ie)
                tblObj.cells[i].innerHTML = (prcVal + "%");
            else if (ns)
                tdObjs [i].innerHTML = (prcVal + "%");
            }
        }
    return;
    }


/********************************************************************
* upgradeProgressShow : it shows the upgrade progress bar 
*
* This function shows progress bar upgrading
*
* animationDelay : it is integer for animation delay count in seconds
* ex: 1000
* RETURNS: N/A
*/
        
function upgradeProgressShow (animationDelay)
    {
    /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Process is going on. Please wait...';
    var errMsgObjL10n = document.getElementById ('hd.processGoinon');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */
        
    if (navigator.appName.indexOf ('Opera') != -1)
        {
        document.getElementById('divPBar').innerHTML = "<span class=\"help_txt0\"><b>"+ errMsgL10n1 +"</b></span>";
        return;
        }
    
    probableImageUploadTime = animationDelay;
    tblProgress.className = "tblAnim";
    tblObj = document.getElementById ('tblProgress');
    tblObj.border = "1";
    if (ie)
        {
        nCells = (tblObj.cells).length;
        tblObj.cells[0].bgColor = progressBgColor;
        }
    else if (ns)
        {
        tdObjs = document.getElementsByName ('tblTdProgress');
        nCells = tdObjs.length;
        tdObjs [0].bgColor = progressBgColor;
        }
    delay = (probableImageUploadTime * 1000) / nCells;
    ++cellIdx;
    animationStart = true;
    timerId = setTimeout ("animationDisplay ()", delay);
    return;
    }


/********************************************************************
* animationDisplay : it shows the upgrade progress bar 
*
* This function shows progress bar upgrading in color using in
* upgradeProgressShow function
*
* RETURNS: N/A
*/

function animationDisplay ()
    {
    if (timerId)
        clearTimeout(timerId)
    if (cellIdx >= nCells) return;
    if (upgradeStarted == false) return;
    if (ie)
        tblObj.cells[cellIdx].bgColor = progressBgColor;
    else if (ns)
        tdObjs [cellIdx].bgColor = progressBgColor;
    ++cellIdx;
    timerId = setTimeout ("animationDisplay ()", delay);
    }
    

/********************************************************************
* completeProgress : it shows the upgrade progress bar 
*
* This function shows progress bar upgrading in color using in
* upgradeProgressShow function
*
* RETURNS: N/A
*/
    
function completeProgress ()
    {
    upgradeStarted = false;
    if (timerId)
        clearTimeout(timerId)
    while (cellIdx < nCells)
        {
        if (ie)
            tblObj.cells[cellIdx].bgColor = progressBgColor;
        else if (ns)
            tdObjs [cellIdx].bgColor = progressBgColor;
        ++cellIdx;
        }
    return true;
    }

/********************************************************************
* uploadImage : check for upload image 
*
* This function uploads the image given animationDelay count
* if true it proceed for image upload else return false
*
* RETURNS: N/A
*/    
function uploadImage (animationDelay, fileId, errMsg)
    {
    /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Preparing to upgrade firmware image. This may take a few minutes. Are you sure you want to proceed?';
    var errMsgL10n2 = 'WARNING: Interrupting the upload or powering off the system during the upload may damage the firmware.';
    var errMsgObjL10n = document.getElementById ('hd.upgradeImg');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.interrPowrOff');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */

    if (upgradeStarted) return false;
    var fileObj = document.getElementById (fileId);
    if (!fileObj.value)
        {
        if (errMsg)
            alert (errMsg);
        return false;
        }
        
    var proceed = confirm (errMsgL10n1+'\n' + errMsgL10n2, '');
    if (proceed)
        {
        menuDisable ();
        upgradeStarted = true;
        upgradeProgressShow (animationDelay);        
        return true;
        }
    return false;
    }

/********************************************************************
* restoreSettingsFromFile : check for restore file 
*
* This function restores the .cfg file given animationDelay count
* if true it proceed for .cfg file upload else return false
*
* RETURNS: N/A
*/ 
    
function restoreSettingsFromFile (animationDelay, fileId, errMsg)
    {    
    /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Preparing to restore saved settings from user-provided file. Are you sure you want to proceed?';
    var errMsgL10n2 = 'WARNING: Current configuration will be erased.';
    var errMsgObjL10n = document.getElementById ('hd.restoresavedSet');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.eraseCurConf');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */

    if (upgradeStarted) return false;
    var fileObj = document.getElementById (fileId);
    if (!fileObj.value)
        {
        if (errMsg)
            alert (errMsg);
        return false;
        }
        
    var proceed = confirm (errMsgL10n1+'\n' + errMsgL10n2, '');
    if (proceed)
        {
        menuDisable ();        
        upgradeStarted = true;
        upgradeProgressShow (animationDelay);
        return true;
        }
    return false;
    }

/********************************************************************
* pageDisable : it disbles the page 
*
* This function disable the page, used for uploading image
*
* RETURNS: N/A
*/    
function pageDisable ()
    {
    obj = document.getElementById ('btBackup');
    obj.onclick = function () {return false;};
    obj.className = "submit_dis submit3 bBackup";
    obj = document.getElementById ('btRestore');
    obj.onclick = function () {return false;};
    obj.className = "submit_dis submit3 bRestore";
    obj = document.getElementById ('btSetFactDefault');
    obj.onclick = function () {return false;};
    obj.className = "submit_dis submit3 bDefault";        
    obj = document.getElementById ('btUpload');
    obj.onclick = function () {return false;};
    obj.className = "submit_dis submit3 bUpload";
    }    

/********************************************************************
* menuDisable : it disbles the page 
*
* This function disable the menu, used for uploading image
*
* RETURNS: N/A
*/    
function menuDisable ()
    {
    /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'WARNING: The upgrade process takes a few minutes.';
    var errMsgL10n2 = 'Interrupting the upload or powering off the system during the upload may damage the firmware.';
    var errMsgL10n3 = 'Please wait until the upgrade process finishes before browsing any sites from your browser.';
    var errMsgObjL10n = document.getElementById ('hd.upgradeProcFwMin');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.interDamg');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.upgradeProcFin');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */
    
    var anchorObjs = divTopMenu.getElementsByTagName ("a");
    var len = anchorObjs.length;
    for (i = 0; i < len; ++i)
        {
        anchorObjs [i].className = "menu2New";
        anchorObjs [i].onclick = function () {return false;};
        }
    lblWarning.innerHTML = errMsgL10n1+"<br>" + errMsgL10n2+"<br>" + errMsgL10n3;      
    pageDisable ();
    return;
    }    

/********************************************************************
* revertToDefaults : check for factory default settings 
*
* This function check for factory default settings
* if true it proceed for factory default settings else it returns false
*
* RETURNS: N/A
*/    
function revertToDefaults (animationDelay)
    {
    /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Preparing to restore factory default settings. Are you sure you want to proceed?';
    var errMsgL10n2 = 'WARNING: Current configuration will be erased.';
    var errMsgObjL10n = document.getElementById ('hd.restoreFactDef');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.eraseCurConf');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */    
    
    var proceed = confirm (errMsgL10n1+'\n'+ errMsgL10n2, '');
    if (proceed)
        {
        menuDisable ();
        upgradeStarted = true;
        upgradeProgressShow (animationDelay);
        return true;
        }
    return false;
    }

/********************************************************************
* settingsPageInit : disables/enable the buttons restore, upload, backup and browse text box 
*
* This function checks the priv user and disables the buttons
* if user ==1 it disables the buttons else it enables the buttons
*
* RETURNS: disable/enable
*/    
function settingsPageInit ()
    {
    if (navigator.appName.indexOf ('Opera') != -1)
        document.getElementById('divPBar').innerHTML = "";
    
    var privObj = document.getElementById ('hdUserPriv');
    if (privObj.value == "1")
        {
        obj = document.getElementById ('btBackup');
        obj.onclick = function () {return false;};
        obj.className = "submit_dis submit3 bBackup";
        obj = document.getElementById ('btRestore');
        obj.onclick = function () {return false;};
        obj.className = "submit_dis submit3 bRestore";
        obj = document.getElementById ('btSetFactDefault');
        obj.onclick = function () {return false;};
        obj.className = "submit_dis submit3 bDefault";        
        obj = document.getElementById ('btUpload');
        obj.onclick = function () {return false;};
        obj.className = "submit_dis submit3 bUpload";        
        document.getElementById ('txtRestoreFile').disabled = true;
        document.getElementById ('txtUploadFile').disabled = true;
        }
    }

/********************************************************************
* accessLevelCheck : check for admin privilages 
*
* This function checks the admin privilages 
*
* RETURNS: N/A
*/ 
function accessLevelCheck ()
    {
    var accessLevel = document.getElementById ('hdUserPriv').value;
    if (!accessLevel || isNaN (accessLevel)) return true;
    if (parseInt (accessLevel, 10) != 0)
        {
        alert("Administrator privilages required");
        return false;
        }
    return true;
    }

/********************************************************************
* check : check for image upload 
*
* This function checks image upload
* if ext is .img  it proceed for upload else it return false
*
* objId : browse text box ID
* exten : extention name ex:.img/.cfg
* flag : integer [[ex:2 for restore or upgarde browse text boxes]]
* RETURNS: N/A
*/     
function check(objId,exten,flag)
    {
    if (accessLevelCheck () == false)
        return false;
    var ext = document.getElementById(objId).value;
    ext = ext.substring(ext.lastIndexOf('.')+1,ext.length);
    ext = ext.toLowerCase();
    if (ext.length > 4)
        {
        alert('please select a .'+exten+' file');
        return false;
        }
    else if(ext != exten)
        {
        alert('You selected a .'+ext+' file; please select a .'+exten+' file instead!');
        return false;
        }
    else
        { 
        if(flag == 1)
            return restoreSettingsFromFile (10, 'txtRestoreFile', 'Please enter the full path and file name containing settings to be restored');
        else if(flag == 2)
            return uploadImage (480, 'txtUploadFile', 'Please enter the full path and file name of the image to be uploaded');
        else
            return uploadImage (480, 'txtUploadFile', 'Please enter the full path and file name of the image to be uploaded');
        }
    }

/********************************************************************
*confirmReboot : confirmReboot for image reboot confirmation
*
*This function return true if user confirms else it returns false
*/
function confirmReboot ()
    {
    var confirmation;
    confirmation = confirm ("Are you sure you want to load this firmware and reboot");
    return confirmation;
    }
