/* pptpServer.js - API library for PPTP Server configuration */

/* Copyright 2011 TeamF1, Inc. */

/*
modification history 
------------------------
01a,4MAY12,mvb  written. 
*/


function pptpEnableCheck ()
    {
    if(!(document.getElementById('chkEnable').checked))
        fieldStateChangeWr ('txtTimeOut chkPap chkChap chkMschap chkMschapv2', 'tblPPTPStrtIpAddr tblPPTPEndIpAddr tblEbcryption', '', '')
    else {
        fieldStateChangeWr ('', '', 'txtTimeOut chkPap chkChap chkMschap chkMschapv2', 'tblPPTPStrtIpAddr tblPPTPEndIpAddr');
        enableEncrSection ();
    }
    }

function pptpServerValidate ()
    {
    var checkEnableObj = document.getElementById('chkEnable');
    if(checkEnableObj.checked)
        {
        if (ipv4AddrOctetsValidate ('tblPPTPStrtIpAddr', 'IPD', false, true,
                 "Invalid Starting IP address.", "for octet", true) == false)
             return false;
        if (ipv4AddrOctetsValidate ('tblPPTPEndIpAddr', 'IPD', false, true,
                 "Invalid Ending IP address.", "for octet", true) == false)
             return false;
        
        var ipAddrObj = document.getElementById ('tblPPTPStrtIpAddr');
        if (ipAddrObj && ipAddrObj.disabled) return true;
        
        var stIpAddr = getIPInt("tblPPTPStrtIpAddr");
        var endIpAddr = getIPInt("tblPPTPEndIpAddr");
        var snetMask = getIPInt1("hdSnetMask");
        if (!isInSubnet(endIpAddr, stIpAddr, snetMask))
            {
            var errorstr = "Starting and Ending IP Address must be in same subnet.";
            if (document.getElementById('txtStartIpErr'))
                document.getElementById('txtStartIpErr').innerHTML = errorstr
            else
                alert (errorstr)
                return false;
            }
            
        if (endIpAddr - stIpAddr < 0)
            {
            var errorstr = "Ending IP Address should be higher than Starting IP Address.";
            if (document.getElementById('txtEndIpErr'))
                document.getElementById('txtEndIpErr').innerHTML = errorstr
            else
                alert (errorstr)
                return false;
            }
        else if(endIpAddr - stIpAddr == 0)
            {
            var errorstr = "Ending IP Address should not be equal to Starting IP Address.";
            if (document.getElementById('txtEndIpErr'))
                document.getElementById('txtEndIpErr').innerHTML = errorstr
            else
                alert (errorstr);
                ipAddrObj.focus ();
                return false;
            }
        
        if (endIpAddr - stIpAddr > 25)
            {
            var errorstr = "Starting and Ending IP Address range must be less than or equal to 26.";
            if (document.getElementById('txtEndIpErr'))
                document.getElementById('txtEndIpErr').innerHTML = errorstr
            else
                alert (errorstr)
                return false;
            }
        /*Begin:Subnet Checking for Dmz*/
        if(ipAddrObj && !ipAddrObj.disabled)
            {
            if(document.getElementById('dmzIp').value != '0.0.0.0' && document.getElementById('dmzSnet').value != '0.0.0.0')
                {
                var dmzIPAddr = getIPInt1("dmzIp");
                var dmzsnetMask = getIPInt1("dmzSnet");
                if(isInSubnet(stIpAddr, dmzIPAddr, dmzsnetMask))
                    {
                    var errorstr = "DMZ IP address is in the same subnet. Please specify IP address in a different subnet.";
                    alert (errorstr);
                    return false;
                    }
                }
            }
        /*End:Subnet Checking for Dmz*/
        
        /*Begin:Subnet Checking for LAN*/
        if(ipAddrObj && !ipAddrObj.disabled)
            {
            var i = 0;
            var pptpCurIp = getIPInt('tblPPTPStrtIpAddr');
            var pptpIPObj = document.getElementById('tblPPTPStrtIpAddr');
            var numObj = document.getElementById('hdNum');
            var numObjVal = parseInt(numObj.value,10);
            var intIP = "";
            var intIpMask = "";
            if(numObj)
                {
                while (i <= numObjVal)
                    {
                    i= i + 1;
                    intIPId = "hdLanIPAddr"+i;
                    intIPMaskId = "hdLanSnetAddr"+i;
                    if(document.getElementById(intIPId))
                        {
                        var intIp = getIPInt1(intIPId);
                        var intIpMask = getIPInt1(intIPMaskId);
                        if(document.getElementById(intIPId).value != '0.0.0.0' && document.getElementById(intIPMaskId).value != '0.0.0.0')
                            {
                            if(isInSubnet(pptpCurIp, intIp, intIpMask))
                                {
                                var errorstr = "The subnet specified is same as LAN/VLAN subnet, Please specify a different subnet.";
                                alert (errorstr)
                                pptpIPObj.focus();
                                return false;
                                }
                            }
                        }
                    }
                }
            }
        /*End:Subnet Checking for LAN*/
        
        /*Begin:Subnet Checking for PPTP Start Ip Address*/
        if(ipAddrObj && !ipAddrObj.disabled)
            {
            if(document.getElementById('hdl2tpIpAddr').value != '0.0.0.0' && document.getElementById('hdl2tpIpAddr').value != '')
                {
                var l2tpIPAddr = getIPInt1("hdl2tpIpAddr");
                var l2tpsnetMask = getIPInt1("hdl2tpSubnetmask");
                if(isInSubnet(stIpAddr, l2tpIPAddr, l2tpsnetMask))
                    {
                    var errorstr = "L2TP Start IP Address is in the same subnet. Please specify IP address in a different subnet.";
                    alert (errorstr);
                    ipAddrObj.focus ();
                    return false;
                    }
                }
            }
        /*End:Subnet Checking for */
        var txtFieldIdArr = new Array ();    
        txtFieldIdArr[0] = "txtTimeOut,Please enter the Value between 0-999";
        if (txtFieldArrayCheck (txtFieldIdArr) == false)
             return false;
        var txtTimeOutObj = document.getElementById('txtTimeOut');
        if(txtTimeOutObj)
            {        
            if(numericValueRangeCheck (txtTimeOutObj, '', '', 0, 999, true, '', 'Minutes') == false) 
                return false;            
            }
            
        }    
    if (checkAuthEnabled () == false) {
        alert ("Please select atleast one check box in Authentication section.");
        return false;
    } 
    return true;
    }

function enableEncrSection () {
    var chkMschapObj = document.getElementById ('chkMschap');
    var chkMschapv2Obj = document.getElementById ('chkMschapv2');
    if (!(chkMschapObj.checked || chkMschapv2Obj.checked)){
        fieldStateChangeWr ('', 'tblEbcryption', '', '');
    }
    else {
        fieldStateChangeWr ('', '', '', 'tblEbcryption');
    }
}
