/* wlNwData.js - API library for Radio configuration */

/* Copyright 2010 TeamF1, Inc. */

/*
modification history 
------------------------
01a,12OCT10,mvb  written. 
*/

var modeLst = ["212992,g and b", "196608,g only", "475136,ng", "65536,a only", "393216,na", "131072,n only"];
var modeLst2GHz = [0, 1, 2, 5];
//var modeLst5GHz = [3, 4, 5];
//var opFrqLst = ["b,2.4GHz","a,5GHz"];
var opFrqLst = ["b,2.4GHz"];
var regLst = ["Africa", "Asia", "Europe", "Middle East", "North America, Latin America and The Caribbean", "Oceania"];

//cntStLst = ["1", "7", "22", "43", "80", "90"];
//cntEndLst = ["6", "21", "42", "79", "89", "92"];

var chSpLst = ["2040,20/40MHz", "20,20MHz", "40,40MHz"];

var chLst = new Array();
chLst [0]  = "Auto"; chLst [1]  = "1 - 2.412GHz"; chLst [2]  = "2 - 2.417GHz"; chLst [3]  = "3 - 2.422GHz"; chLst [4]  = "4 - 2.427GHz";
chLst [5]  = "5 - 2.432GHz"; chLst [6]  = "6 - 2.437GHz"; chLst [7]  = "7 - 2.442GHz"; chLst [8]  = "8 - 2.447GHz"; chLst [9]  = "9 - 2.452GHz";
chLst [10] = "10 - 2.457GHz"; chLst [11] = "11 - 2.462GHz"; chLst [12] = "12 - 2.467GHz"; chLst [13] = "13 - 2.472GHz";
chLst [14] = "14 - 2.484GHz"; chLst [15] = "15 - 2.512 GHz"; chLst [16] = "16 - 2.532 GHz"; chLst [17] = "17 - 2.552 GHz";
chLst [18] = "18 - 2.572 GHz"; chLst [19] = "19 - 2.592 GHz"; chLst [20] = "20 - 2.612 GHz"; chLst [21] = "21 - 2.632 GHz";
chLst [22] = "22 - 2.652 GHz"; chLst [23] = "23 - 2.672 GHz"; chLst [24] = "24 - 2.692 GHz"; /* [[chLst [36] = "36 - 5.18GHz";
chLst [38] = "38 - 5.19GHz"; chLst [40] = "40 - 5.2GHz"; chLst [42] = "42 - 5.21GHz"; chLst [44] = "44 - 5.22GHz";
chLst [46] = "46 - 5.23GHz"; chLst [48] = "48 - 5.24GHz"; chLst [50] = "50 - 5.25 GHz"; chLst [52] = "52 - 5.26GHz";
chLst [54] = "54 - 5.27GHz"; chLst [56] = "56 - 5.28GHz"; chLst [58] = "58 - 5.29 GHz"; chLst [60] = "60 - 5.3GHz";
chLst [62] = "62 - 5.31GHz"; chLst [64] = "64 - 5.32GHz"; chLst [100] = "100 - 5.5 GHz"; chLst [102] = "102 - 5.51 GHz";
chLst [104] = "104 - 5.52 GHz"; chLst [108] = "108 - 5.54 GHz"; chLst [110] = "110 - 5.55 GHz"; chLst [112] = "112 - 5.56 GHz";
chLst [116] = "116 - 5.58 GHz"; chLst [120] = "120 - 5.6 GHz"; chLst [124] = "124 - 5.62 GHz"; chLst [128] = "128 - 5.64 GHz";
chLst [132] = "132 - 5.66 GHz"; chLst [136] = "136 - 5.68 GHz"; chLst [140] = "140 - 5.7 GHz"; chLst [149] = "149 - 5.745 GHz";
chLst [151] = "151 - 5.755 GHz"; chLst [152] = "152 - 5.76 GHz"; chLst [153] = "153 - 5.765 GHz"; chLst [157] = "157 - 5.785 GHz";
chLst [159] = "159 - 5.795 GHz"; chLst [160] = "160 - 5.8 GHz"; chLst [161] = "161 - 5.805 GHz";chLst [165] = "165 - 5.825 GHz"; ]] */

function wlNwObj (countryCode, country, opFrqSt, opFrqEnd, chSpSt, chSpEnd, chSp20NgChLst, chSp20NaChLst, chSp40UpNgChLst, chSp40UpNaChLst, chSp40LowNgChLst, chSp40LowNaChLst, ElevenNDisabled)
    {
    this.countryCode = countryCode;
    this.country = country;
    this.opFrqSt = opFrqSt;
    this.opFrqEnd = opFrqEnd;
    this.chSpSt = chSpSt;
    this.chSpEnd = chSpEnd;    
    this.chSp20NgChLst = chSp20NgChLst;
    this.chSp20NaChLst = chSp20NaChLst;
    this.chSp40UpNgChLst = chSp40UpNgChLst;
    this.chSp40UpNaChLst = chSp40UpNaChLst;    
    this.chSp40LowNgChLst = chSp40LowNgChLst;
    this.chSp40LowNaChLst = chSp40LowNaChLst;
    this.ElevenNDisabled = ElevenNDisabled;
    }

var wlNwObjLst = new Array();
wlNwObjLst[0]  = new wlNwObj ("NONE", "None", 0, 1, 0, 1, [], [], [], [], [], [], 0);

/* Africa */
wlNwObjLst[1]  = new wlNwObj ("DZ",  "Algeria", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [], [], [], [], 0);
wlNwObjLst[2]  = new wlNwObj ("EG", "Egypt", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[3]  = new wlNwObj ("MA", "Morocco", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [], [], [], [], 0);
wlNwObjLst[4]  = new wlNwObj ("RS", "Serbia and Montenegro", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [], [1, 2, 3, 4, 5, 6, 7, 8, 9], [], 0);
wlNwObjLst[5]  = new wlNwObj ("ZA", "South Africa", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[6]  = new wlNwObj ("TN", "Tunisia", 0, 0, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [], [], [], [], [], 0);

wlNwObjLst[7]  = new wlNwObj ("KE", "Kenya", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[8]  = new wlNwObj ("ZW", "Zimbabwe", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);

/* Asia */
wlNwObjLst[9]  = new wlNwObj ("AZ", "Azerbaijan", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [], [], [], [], 0);
wlNwObjLst[10]  = new wlNwObj ("BN", "Brunei Darussalam", 0, 0, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [], [], [], [], [], 0);
wlNwObjLst[11]  = new wlNwObj ("CN", "China", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [149, 157], 0);
wlNwObjLst[12]  = new wlNwObj ("HK", "Hong Kong", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);

wlNwObjLst[13]  = new wlNwObj ("IN", "India", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[14]  = new wlNwObj ("ID", "Indonesia", 0, 0, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [], [5, 6, 7, 8, 9, 10, 11, 12, 13], [], [1, 2, 3, 4, 5, 6, 7, 8, 9], [], 0);
wlNwObjLst[15]  = new wlNwObj ("JP", "Japan", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [34, 36, 38, 40, 42, 44, 46, 48], [], [], [], [], 0);
wlNwObjLst[16]  = new wlNwObj ("KP", "North Korea", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [149, 153, 157, 161], [], [], [], [], 0);
wlNwObjLst[17]  = new wlNwObj ("MY", "Malaysia", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[18]  = new wlNwObj ("PK", "Pakistan", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [149, 157], 0);
wlNwObjLst[19]  = new wlNwObj ("SG", "Singapore", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[20]  = new wlNwObj ("TW", "Taiwan", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], [149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11], [153, 161], [1, 2, 3, 4, 5, 6, 7], [149, 157], 0);
wlNwObjLst[21]  = new wlNwObj ("TH", "Thailand", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[22]  = new wlNwObj ("UZ", "Uzbekistan", 0, 0, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [], [], [], [], [], 0);
wlNwObjLst[23]  = new wlNwObj ("VN", "Viet Nam", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[24]  = new wlNwObj ("TR", "Turkey", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[25]  = new wlNwObj ("CY", "Cyprus", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);

wlNwObjLst[26]  = new wlNwObj ("BD", "Bangladesh", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[27]  = new wlNwObj ("NP", "Nepal", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[28]  = new wlNwObj ("PH", "Philippines", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[29]  = new wlNwObj ("LK", "Sri Lanka", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[30]  = new wlNwObj ("KZ", "Kazakhstan", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[31]  = new wlNwObj ("MO", "Macau", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[32]  = new wlNwObj ("KR", "Korea Republic", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);

/* Europe */
wlNwObjLst[33]  = new wlNwObj ("AL", "Albania", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [], [], [], [], 0);
wlNwObjLst[34]  = new wlNwObj ("BY", "Belarus", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [], [], [], [], 0);
wlNwObjLst[35]  = new wlNwObj ("HR", "Croatia", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[36]  = new wlNwObj ("IS", "Iceland", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[37]  = new wlNwObj ("LI", "Liechtenstein", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[38]  = new wlNwObj ("MK", "Macedonia, The Former Yugoslav Republic Of", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [], [], [], [], 0);

wlNwObjLst[39]  = new wlNwObj ("MC", "Monaco", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [], [], [], [], 0);
wlNwObjLst[40]  = new wlNwObj ("NO", "Norway", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[41]  = new wlNwObj ("RO", "Romania", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[42]  = new wlNwObj ("RU1", "Russian Federation(RU1)", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [], [], [], [], 0);
wlNwObjLst[43]  = new wlNwObj ("CH", "Switzerland", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);


wlNwObjLst[44]  = new wlNwObj ("UA", "Ukraine", 0, 0, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [], [], [], [], 0);
wlNwObjLst[45]  = new wlNwObj ("AT", "Austria", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [], [40, 48], [], [36, 44], 0);
wlNwObjLst[46]  = new wlNwObj ("BE", "Belgium", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);

wlNwObjLst[47]  = new wlNwObj ("CZ", "Czech Republic", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[48]  = new wlNwObj ("DK", "Denmark", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[49]  = new wlNwObj ("EE", "Estonia", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[50]  = new wlNwObj ("FI", "Finland", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);

wlNwObjLst[51]  = new wlNwObj ("FR", "France", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[52]  = new wlNwObj ("DE", "Germany", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[53]  = new wlNwObj ("GR", "Greece", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[54]  = new wlNwObj ("HU", "Hungary", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[55]  = new wlNwObj ("IE", "Ireland", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[56]  = new wlNwObj ("IT", "Italy", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[57]  = new wlNwObj ("LV", "Latvia", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[58]  = new wlNwObj ("LT", "Lithuania", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[59]  = new wlNwObj ("LU", "Luxembourg", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);

wlNwObjLst[60]  = new wlNwObj ("MT", "Malta", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[61]  = new wlNwObj ("NL", "Netherlands", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[62]  = new wlNwObj ("PL", "Poland", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[63]  = new wlNwObj ("PT", "Portugal", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[64]  = new wlNwObj ("SK", "Slovak Republic", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[65]  = new wlNwObj ("ES", "Spain", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [], [1, 2, 3, 4, 5, 6, 7, 8, 9], [], 0);
wlNwObjLst[66]  = new wlNwObj ("SE", "Sweden", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[67]  = new wlNwObj ("GB", "United Kingdom", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);

wlNwObjLst[68]  = new wlNwObj ("AM", "Armenia", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[69]  = new wlNwObj ("BA", "Bosnia And Herzegovina", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[70] = new wlNwObj ("SI", "Slovenia", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[71]  = new wlNwObj ("BG", "Bulgaria", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);

/* Middle East */
wlNwObjLst[72]  = new wlNwObj ("BH", "Bahrain", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[73]  = new wlNwObj ("IR", "Iran, Islamic Republic Of", 1, 1, 1, 1, [], [149, 153, 157, 161], [], [], [], [], 0);
wlNwObjLst[74]  = new wlNwObj ("IL", "Israel", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [], [], [], [], 0);
wlNwObjLst[75]  = new wlNwObj ("JO", "Jordan", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[76]  = new wlNwObj ("KW", "Kuwait", 0, 0, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [], [5, 6, 7, 8, 9, 10, 11, 12, 13], [], [1, 2, 3, 4, 5, 6, 7, 8, 9], [], 0);
wlNwObjLst[77]  = new wlNwObj ("LB", "Lebanon", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [149, 157], 0);
wlNwObjLst[78]  = new wlNwObj ("OM", "Oman", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[79]  = new wlNwObj ("SA", "Saudi Arabia", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[80]  = new wlNwObj ("SY", "Syria", 1, 1, 1, 1, [], [149, 153, 157, 161], [], [], [], [], 0);
wlNwObjLst[81]  = new wlNwObj ("AE", "United Arab Emirates", 0, 0, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [], [5, 6, 7, 8, 9, 10, 11, 12, 13], [], [1, 2, 3, 4, 5, 6, 7, 8, 9], [], 0);
wlNwObjLst[82]  = new wlNwObj ("QA", "Qatar", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[83]  = new wlNwObj ("YE", "Yemen", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);

/* North America, Latin America and The Caribbean */
wlNwObjLst[84]  = new wlNwObj ("DO", "Dominican Republic", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [], [], [], [], 0);
wlNwObjLst[85]  = new wlNwObj ("JM", "Jamaica", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [149, 157], 0);
wlNwObjLst[86]  = new wlNwObj ("PR", "Puerto Rico", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7], [36, 44, 149, 157], 0);
wlNwObjLst[87]  = new wlNwObj ("TT", "Trinidad And Tobago", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[88]  = new wlNwObj ("CR", "Costa Rica", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);

wlNwObjLst[89]  = new wlNwObj ("SV", "EL Salvador", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[90]  = new wlNwObj ("GT", "Guatemala", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [], [], [], [], 0);
wlNwObjLst[91]  = new wlNwObj ("HN", "Honduras", 0, 1, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [149, 153, 157, 161, 165], [], [], [], [], 0);
wlNwObjLst[92]  = new wlNwObj ("MX", "Mexico", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44], 0);
wlNwObjLst[93]  = new wlNwObj ("PA", "Panama", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[94]  = new wlNwObj ("AR", "Argentina", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [149, 157], 0);
wlNwObjLst[95]  = new wlNwObj ("BO", "Bolivia", 0, 0, 1, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [], [], [], [], [], 0);
wlNwObjLst[96]  = new wlNwObj ("BR", "Brazil", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);

wlNwObjLst[97]  = new wlNwObj ("CL", "Chile", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [], [], [], 0);
wlNwObjLst[98]  = new wlNwObj ("CO", "Colombia", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[99]  = new wlNwObj ("EC", "Ecuador", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[100]  = new wlNwObj ("PE", "Peru", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[101]  = new wlNwObj ("VE", "Venezuela", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[102]  = new wlNwObj ("UY", "Uruguay", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);

wlNwObjLst[103]  = new wlNwObj ("CA", "Canada", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7], [36, 44, 149, 157], 0);
wlNwObjLst[104]  = new wlNwObj ("US", "United States(US)", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7], [36, 44, 149, 157], 0);

wlNwObjLst[105]  = new wlNwObj ("BZ", "Belize", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[106]  = new wlNwObj ("GE", "Georgia", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[107]  = new wlNwObj ("LTA", "Latin America", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], [149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11], [153, 161], [1, 2, 3, 4, 5, 6, 7], [149, 157], 0);

/* Oceania */
wlNwObjLst[108]  = new wlNwObj ("AU", "Australia", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [36, 40, 44, 48, 149, 153, 157, 161, 165], [5, 6, 7, 8, 9, 10, 11, 12, 13], [40, 48, 153, 161], [1, 2, 3, 4, 5, 6, 7, 8, 9], [36, 44, 149, 157], 0);
wlNwObjLst[109]  = new wlNwObj ("NZ", "New Zealand", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);
wlNwObjLst[110]  = new wlNwObj ("PG", "Papua New Guinea", 0, 1, 0, 1, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [5, 6, 7, 8, 9, 10, 11, 12, 13], [1, 2, 3, 4, 5, 6, 7, 8, 9], [1, 2, 3, 4, 5, 6, 7, 8, 9], 0);

cntStLst = ["1", "9", "33", "72", "84", "108"];
cntEndLst = ["8", "32", "71", "83", "107", "110"];

/* removing 5Gz option 
var len = wlNwObjLst.length;
for(var i=0; i < len; ++i)
	{
	wlNwObjLst[i].opFrqEnd = 0;
	}*/

/* ISO country code to atheros country code mapping */
function wlNwAthObj (countryISOName, country, countryCode)
    {
    this.countryISOName = countryISOName;
    this.country = country;
    this.countryCode = countryCode;
    }

var wlNwAthObjLst = new Array();
wlNwAthObjLst[0]  = new wlNwAthObj ("NONE", "None", "0");

/* Africa */
wlNwAthObjLst[1]  = new wlNwAthObj ("DZ",  "Algeria", "12");
wlNwAthObjLst[2]  = new wlNwAthObj ("EG", "Egypt", "818");
wlNwAthObjLst[3]  = new wlNwAthObj ("MA", "Morocco", "504");
wlNwAthObjLst[4]  = new wlNwAthObj ("RS", "Serbia and Montenegro", "891");
wlNwAthObjLst[5]  = new wlNwAthObj ("ZA", "South Africa", "710");
wlNwAthObjLst[6]  = new wlNwAthObj ("TN", "Tunisia", "788");
wlNwAthObjLst[7]  = new wlNwAthObj ("KE", "Kenya", "404");
wlNwAthObjLst[8]  = new wlNwAthObj ("ZW", "Zimbabwe", "716");

/* Asia */
wlNwAthObjLst[9]  = new wlNwAthObj ("AZ", "Azerbaijan", "31");
wlNwAthObjLst[10]  = new wlNwAthObj ("BN", "Brunei Darussalam", "96");
wlNwAthObjLst[11]  = new wlNwAthObj ("CN", "China", "156");

wlNwAthObjLst[12]  = new wlNwAthObj ("HK", "Hong Kong", "344");
wlNwAthObjLst[13]  = new wlNwAthObj ("IN", "India", "356");
wlNwAthObjLst[14]  = new wlNwAthObj ("ID", "Indonesia", "360");
wlNwAthObjLst[15]  = new wlNwAthObj ("JP", "Japan", "392");
wlNwAthObjLst[16]  = new wlNwAthObj ("KP", "North Korea", "408");
wlNwAthObjLst[17]  = new wlNwAthObj ("MY", "Malaysia", "458");
wlNwAthObjLst[18]  = new wlNwAthObj ("PK", "Pakistan", "586");
wlNwAthObjLst[19]  = new wlNwAthObj ("SG", "Singapore", "702");
wlNwAthObjLst[20]  = new wlNwAthObj ("TW", "Taiwan", "158");

wlNwAthObjLst[21]  = new wlNwAthObj ("TH", "Thailand", "764");
wlNwAthObjLst[22]  = new wlNwAthObj ("UZ", "Uzbekistan", "860");
wlNwAthObjLst[23]  = new wlNwAthObj ("VN", "Viet Nam", "704");
wlNwAthObjLst[24]  = new wlNwAthObj ("CY", "Cyprus", "196");
wlNwAthObjLst[25]  = new wlNwAthObj ("TR", "Turkey", "792");

wlNwAthObjLst[26]  = new wlNwAthObj ("BD", "Bangladesh", "50");
wlNwAthObjLst[27]  = new wlNwAthObj ("KZ", "Kazakhstan", "398");
wlNwAthObjLst[28]  = new wlNwAthObj ("MO", "Macau", "446");
wlNwAthObjLst[29]  = new wlNwAthObj ("LK", "Sri Lanka", "144");
wlNwAthObjLst[30]  = new wlNwAthObj ("NP", "Nepal", "524");
wlNwAthObjLst[31]  = new wlNwAthObj ("PH", "Philippines", "608");
wlNwAthObjLst[32]  = new wlNwAthObj ("KR", "Korea Republic", "410");

/* Europe */
wlNwAthObjLst[33]  = new wlNwAthObj ("AL", "Albania", "8");
wlNwAthObjLst[34]  = new wlNwAthObj ("BY", "Belarus", "112");
wlNwAthObjLst[35]  = new wlNwAthObj ("HR", "Croatia", "191");
wlNwAthObjLst[36]  = new wlNwAthObj ("IS", "Iceland", "352");

wlNwAthObjLst[37]  = new wlNwAthObj ("LI", "Liechtenstein", "438");
wlNwAthObjLst[38]  = new wlNwAthObj ("MK", "Macedonia, The Former Yugoslav Republic Of", "807");
wlNwAthObjLst[39]  = new wlNwAthObj ("MC", "Monaco", "492");
wlNwAthObjLst[40]  = new wlNwAthObj ("NO", "Norway", "578");
wlNwAthObjLst[41]  = new wlNwAthObj ("RO", "Romania", "642");
wlNwAthObjLst[42]  = new wlNwAthObj ("RU1", "Russian Federation(RU1)", "643");
wlNwAthObjLst[43]  = new wlNwAthObj ("CH", "Switzerland", "756");

wlNwAthObjLst[44]  = new wlNwAthObj ("UA", "Ukraine", "804");
wlNwAthObjLst[45]  = new wlNwAthObj ("AT", "Austria", "40");
wlNwAthObjLst[46]  = new wlNwAthObj ("BE", "Belgium", "56");
wlNwAthObjLst[47]  = new wlNwAthObj ("CZ", "Czech Republic", "203");
wlNwAthObjLst[48]  = new wlNwAthObj ("DK", "Denmark", "208");
wlNwAthObjLst[49]  = new wlNwAthObj ("EE", "Estonia", "233");
wlNwAthObjLst[50]  = new wlNwAthObj ("FI", "Finland", "246");
wlNwAthObjLst[51]  = new wlNwAthObj ("FR", "France", "250");
wlNwAthObjLst[52]  = new wlNwAthObj ("DE", "Germany", "276");
wlNwAthObjLst[53]  = new wlNwAthObj ("GR", "Greece", "300");
wlNwAthObjLst[54]  = new wlNwAthObj ("HU", "Hungary", "348");

wlNwAthObjLst[55]  = new wlNwAthObj ("IE", "Ireland", "372");
wlNwAthObjLst[56]  = new wlNwAthObj ("IT", "Italy", "380");
wlNwAthObjLst[57]  = new wlNwAthObj ("LV", "Latvia", "428");
wlNwAthObjLst[58]  = new wlNwAthObj ("LT", "Lithuania", "440");
wlNwAthObjLst[59]  = new wlNwAthObj ("LU", "Luxembourg", "442");
wlNwAthObjLst[60]  = new wlNwAthObj ("MT", "Malta", "470");
wlNwAthObjLst[61]  = new wlNwAthObj ("NL", "Netherlands", "528");
wlNwAthObjLst[62]  = new wlNwAthObj ("PL", "Poland", "616");
wlNwAthObjLst[63]  = new wlNwAthObj ("PT", "Portugal", "620");
wlNwAthObjLst[64]  = new wlNwAthObj ("SK", "Slovak Republic", "703");

wlNwAthObjLst[65]  = new wlNwAthObj ("ES", "Spain", "724");
wlNwAthObjLst[66]  = new wlNwAthObj ("SE", "Sweden", "752");
wlNwAthObjLst[67]  = new wlNwAthObj ("GB", "United Kingdom", "826");

wlNwAthObjLst[68]  = new wlNwAthObj ("AM", "Armenia", "51");
wlNwAthObjLst[69]  = new wlNwAthObj ("BA", "Bosnia and Herzegowina", "70");
wlNwAthObjLst[70]  = new wlNwAthObj ("BG", "Bulgaria", "100");
wlNwAthObjLst[71]  = new wlNwAthObj ("SI", "Slovenia", "705"); 

/* Middle East */
wlNwAthObjLst[72]  = new wlNwAthObj ("BH", "Bahrain", "48");
wlNwAthObjLst[73]  = new wlNwAthObj ("IR", "Iran, Islamic Republic Of", "364");
wlNwAthObjLst[74]  = new wlNwAthObj ("IL", "Israel", "376");
wlNwAthObjLst[75]  = new wlNwAthObj ("JO", "Jordan", "400");
wlNwAthObjLst[76]  = new wlNwAthObj ("KW", "Kuwait", "414");
wlNwAthObjLst[77]  = new wlNwAthObj ("LB", "Lebanon", "422");
wlNwAthObjLst[78]  = new wlNwAthObj ("OM", "Oman", "512");
wlNwAthObjLst[79]  = new wlNwAthObj ("SA", "Saudi Arabia", "682");
wlNwAthObjLst[80]  = new wlNwAthObj ("SY", "Syria", "760");
wlNwAthObjLst[81]  = new wlNwAthObj ("AE", "United Arab Emirates", "784");
wlNwAthObjLst[82]  = new wlNwAthObj ("QA", "Qatar", "634");
wlNwAthObjLst[83]  = new wlNwAthObj ("YE", "Yemen", "887");

/* North America, Latin America and The Caribbean */
wlNwAthObjLst[84]  = new wlNwAthObj ("DO", "Dominican Republic", "214");
wlNwAthObjLst[85]  = new wlNwAthObj ("JM", "Jamaica", "388");
wlNwAthObjLst[86]  = new wlNwAthObj ("PR", "Puerto Rico", "630");
wlNwAthObjLst[87]  = new wlNwAthObj ("TT", "Trinidad And Tobago", "780");
wlNwAthObjLst[88]  = new wlNwAthObj ("CR", "Costa Rica", "188");
wlNwAthObjLst[89]  = new wlNwAthObj ("SV", "EL Salvador", "222");
wlNwAthObjLst[90]  = new wlNwAthObj ("GT", "Guatemala", "320");

wlNwAthObjLst[91]  = new wlNwAthObj ("HN", "Honduras", "340");
wlNwAthObjLst[92]  = new wlNwAthObj ("MX", "Mexico", "484");
wlNwAthObjLst[93]  = new wlNwAthObj ("PA", "Panama", "591");
wlNwAthObjLst[94]  = new wlNwAthObj ("AR", "Argentina", "32");
wlNwAthObjLst[95]  = new wlNwAthObj ("BO", "Bolivia", "68");
wlNwAthObjLst[96]  = new wlNwAthObj ("BR", "Brazil", "76");
wlNwAthObjLst[97]  = new wlNwAthObj ("CL", "Chile", "152");
wlNwAthObjLst[98]  = new wlNwAthObj ("CO", "Colombia", "170");
wlNwAthObjLst[99]  = new wlNwAthObj ("EC", "Ecuador", "218");

wlNwAthObjLst[100]  = new wlNwAthObj ("PE", "Peru", "604");
wlNwAthObjLst[101]  = new wlNwAthObj ("VE", "Venezuela", "862");
wlNwAthObjLst[102]  = new wlNwAthObj ("UY", "Uruguay", "858");
wlNwAthObjLst[103]  = new wlNwAthObj ("CA", "Canada", "124");
wlNwAthObjLst[104]  = new wlNwAthObj ("US", "United States(US)", "840");

wlNwAthObjLst[105]  = new wlNwAthObj ("BZ", "Belize", "84");
wlNwAthObjLst[106]  = new wlNwAthObj ("GE", "Georgia", "268");
wlNwAthObjLst[107]  = new wlNwAthObj ("LTA", "Latin America", "999");

/* Oceania */
wlNwAthObjLst[108]  = new wlNwAthObj ("AU", "Australia", "36");
wlNwAthObjLst[109]  = new wlNwAthObj ("NZ", "New Zealand", "554");
wlNwAthObjLst[110]  = new wlNwAthObj ("PG", "Papua New Guinea", "598");
